firefox java plugin

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



I see many people strugling with the java plugin for firefox 1.0.7. It used to work with my old firefox 1.0.4 'till I upgraded. If you have the old java you don't need  to download and install. This is what I did:

1. Download jre-1_5_0-linux-i586-.bin
2. su-->pwd-->mv jre-1_5_0-linux-i586-.bin to /usr/local
3. chmod a+x jre-1_5_0-linux-i586.bin
4. verify permissions: ls -l
5. ./jre-1_5_0-linux-i586.bin
6. Do you agree? Yes.-->Done
7. It's installed under: /usr/java/jre1.5.0
8. cd /usr/lib/firefox-1.0.4/plugins/
9. ln -s /usr/local/jre1.5.0_04/plugin/i386/ns7/libjavaplugin_oji.so
10.Edit > Preferences. Under Advanced category > Select Enable Java
After upgrading Firefox:
[[email protected] ~]# cd /usr/lib/firefox-1.0.7/plugins/
[[email protected] plugins]# ln -s /usr/local/jre1.5.0_04/plugin/i386/ns7/libjavaplugin_oji.so
[[email protected] plugins]# cd /usr/lib/mozilla/plugins
[[email protected] plu! gins]#ln -s /usr/local/jre1.5.0_04/plugin/i386/ns7/libjavaplugin_oji.so

Remember not to download the latest version, but use the previous one. If you already have it under firefox 1.0.4 just od the last two steps.

Eddie


Yahoo! for Good - Make a difference this year.

[Index of Archives]     [Current Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]     [Fedora Docs]

  Powered by Linux